%define languageenglazy Russian
%define languagecode    ru
%define lc_ctype        ru_RU

Name:           hunspell-%{languagecode}
Epoch:          1
Version:        0.99g5
Release:        %mkrel 10
Summary:        %{languageenglazy} hunspell dictionaries
License:        BSD
Group:          System/Internationalization
URL:            ftp://scon155.phys.msu.su/pub/russian/ispell/myspell
Source0:        https://releases.mozilla.org/pub/mozilla.org/addons/3703/russian_spellchecking_dictionary-0.4.4-fx+tb+sm.xpi

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-ru
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
Provides:       hunspell-ru_UA = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2
Provides:       dictionary-ru_UA = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} < 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-%{lc_ctype} < 1.0.3
Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build
chmod -x *.*

%install
install -D -m 0644 -p dictionaries/ru.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/ru.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/Changelog dictionaries/LICENSE dictionaries/README
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1:0.99g5-10.mga10
+ Revision: 2196894
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 1:0.99g5-9.mga9
+ Revision: 1801173
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1:0.99g5-8.mga8
+ Revision: 1490520
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:0.99g5-7.mga7
+ Revision: 1262254
- Mageia 7 Mass Rebuild

* Sat Feb 06 2016 umeabot <umeabot> 1:0.99g5-6.mga6
+ Revision: 940961
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:0.99g5-5.mga5
+ Revision: 749313
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.99g5-4.mga5
+ Revision: 680296
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 1:0.99g5-3.mga4
+ Revision: 505805
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1:0.99g5-2.mga3
+ Revision: 353673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 10 2013 kamil <kamil> 1:0.99g5-1.mga3
+ Revision: 344432
- sync version with Fedora: 0.99g5
- update Source0
- update %%install paths
- stop installing the language aliases
- update %%doc in %%files

* Tue Mar 20 2012 kamil <kamil> 1:0.99f7-8.mga2
+ Revision: 224808
- add requirement on locales (mga#4632)

* Wed Feb 15 2012 kamil <kamil> 1:0.99f7-7.mga2
+ Revision: 209068
- use better obsoleting of myspell

* Wed Feb 08 2012 kamil <kamil> 1:0.99f7-6.mga2
+ Revision: 206321
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 1:0.99f7-5.mga1
+ Revision: 69054
- imported package hunspell-ru


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.99f7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.99f7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.99f7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Caolan McNamara <caolanm@redhat.com> - 1:0.99f7-2
- add alias

* Tue Aug 21 2007 Caolan McNamara <caolanm@redhat.com> - 1:0.99f7-1
- clarify licence
- canonical upstream source

* Thu Dec 07 2006 Caolan McNamara <caolanm@redhat.com> - 0.20040406-1
- initial version
